Page MenuHomePhabricator

Add contribution tracking ID to credit card statement on Worldpay
Closed, ResolvedPublic1 Estimated Story Points

Description

We can't search on non-latin-script names in the Worldpay console. We should add the contribution tracking ID to the donor's CC statement to allow us to find donations.

Event Timeline

Ejegg created this task.Jan 30 2015, 2:18 AM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 2:18 AM
Ejegg set Security to None.Jan 30 2015, 2:19 AM
Ejegg edited a custom field.
gerritbot added a subscriber: gerritbot.

Change 187642 had a related patch set uploaded (by Ejegg):
Add contribution tracking to Worldpay CC statement

https://gerrit.wikimedia.org/r/187642

Patch-For-Review

Change 187642 merged by jenkins-bot:
Add contribution tracking to Worldpay CC statement

https://gerrit.wikimedia.org/r/187642

Change 188679 had a related patch set uploaded (by Ejegg):
Really send NarrativeStatement1

https://gerrit.wikimedia.org/r/188679

Patch-For-Review

Change 188679 merged by jenkins-bot:
Really send NarrativeStatement1

https://gerrit.wikimedia.org/r/188679

atgo added subscribers: atgo, CCogdill_WMF.

@CCogdill_WMF have you gotten any reports that this works?

@atgo no, I haven't. I didn't work when I tested it this week. I wasn't clear on what to expect after our last interaction with WP.

atgo added a comment.EditedFeb 7 2015, 12:55 AM

Agreed @CCogdill_WMF. It was confusing. It looks like it's on our side to confirm that it's happening or not - maybe some of our international donors can see it. Perhaps we should ask some of our other testers?

Ejegg added a comment.Feb 7 2015, 12:57 AM

I got the impression from our call that international card issuers were more likely to add the text to the statement, but even there it wasn't guaranteed.

@CCogdill_WMF have you heard anything about this working yet? I'd love to close this

I haven't @atgo, and it's supposed to work inconsistently so I'm not sure it's worth trying to track more people down to test. I'm fine to close it.

atgo closed this task as Resolved.Feb 11 2015, 7:42 PM
atgo claimed this task.

Done. Thank you!

A donor contacted us showing a screenshot of their bank statement, and it included the Worldpay transaction ID! It was very helpful to the agent solving the ticket :)

Thanks for your help, @Ejegg!